void Debugger_Draw(SDL_Surface *surface, const SDL_Rect *rect);

void Debugger_ForceStepIfStepping(); // For synchronizations with save state loading and reset/power toggles.  Should be called from game thread only.

bool Debugger_IsActive(void);
int Debugger_Event(const SDL_Event *event);
bool Debugger_Toggle(void);
